@import 'variables.sass'
@import url('https://fonts.googleapis.com/css2?family=Kanit:wght@500;700&display=swap')
@mixin dune()
    background-color: #f6f6f6
    border: 1px solid
    border-color: #b4eaff
    width: 150px
    height: 150px
    top: 25px
    left: 25px
    transform: rotate(45deg)
    position: relative
    border-radius: 20px
@mixin dune-wrapper($top,$left)
    position: absolute
    width: 200px
    height: 100px
    overflow: hidden
    top: $top
    left: $left

.salar
    width: 100%
    height: 100%
.water
    position: absolute
    top: 50%
    bottom: 0
    left: -100%
    right: -100%
    margin: auto
    width: 100%
    height: 60%
    background: linear-gradient(rgba($sky, 0.5), $background)
    z-index: 99
    overflow: hidden
    box-shadow: inset 0 0 5rem 0 rgba($smoke, 0.5)

    &:before,
    &:after,i
        width: 80rem
        height: 3rem
        border-radius: 50%
        opacity: 0.2
        right: 0
        margin: auto
        transform: scaleX(1) scaleY(0)
        top: -1.5rem
        border: 0.5rem solid #fff
        box-shadow: 0 0 1rem 0.5rem $moon-shadow, inset 0 0 1rem 1rem $moon-shadow, inset 0 0 1rem #fff

    &:before
        animation: waves 6s ease-in-out infinite

    &:after
        animation: waves 8s 2s ease-in-out infinite

.water>  i
    animation: waves 3s 0.25s ease-out

.salar

    &__dune
        width: 100%
        position: relative
        background: blue
        top: 70%
        z-index: 100
        animation: dune-movement 10s infinite linear

        &__1
            @include dune-wrapper($top: 50px,$left: 100%)
            div
                @include dune()
        &__2
            @include dune-wrapper($top: -120px,$left: 157%)
            div
                @include dune()
        &__3
            @include dune-wrapper($top: -100px,$left: 160%)
            div
                @include dune()
        &__4
            @include dune-wrapper($top: -190px,$left: 90%)
            div
                @include dune()
        &__5
            @include dune-wrapper($top: -5px,$left: 130%)
            div
                @include dune()
        &__6
            @include dune-wrapper($top: -50px,$left: 155%)
            div
                @include dune()
@keyframes dune-movement
    100%
        transform: translateX(calc(-170vw))
@keyframes waves
    100%
        transform: scaleX(1.5) scaleY(7)
        opacity: 0
